Bug 30428 - driver problems for hp laserjets with new printconf
driver problems for hp laserjets with new printconf
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-03 02:06 EST by Jeremy Katz
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 14:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-03-03 02:06:56 EST
With printconf-0.2.1 and 0.2.2, the default printer driver selected for the
HP Laserjet 6L is the lj5gray driver.  Unfortunately, this prints raw PCL
garbage :(   Switching the driver to the ljet4 driver gets the printing
working correctly.
Comment 1 Glen Foster 2001-03-05 15:45:13 EST
This defect considered a show-stopper (MUST-FIX) for Florence GOLD release
Comment 2 Crutcher Dunnavant 2001-03-09 19:57:40 EST
This would require a fork of the database, and the other driver does work. I am
hesitant to start forking the database, but I can bump this status upstream.
Comment 3 Jeremy Katz 2001-03-09 20:30:37 EST
Are you just choosing the "default" printer driver by sort order?  Going to
linuxprinting.org, it shows the ljet4 driver first as opposed to the lj5gray
driver and they are listed based in a "most likely to work" order AFAIK.

This can have the effect of greatly reducing a printer's capabilities as well.
 For example, take a look at the Epson Stylus Color (printer which has caused me
much pain in the past but which I luckily don't have to deal with any more :) --
the default driver being chosen by printconf is the st800 driver which is black
and white only; the stcolor driver is specifically for the printer and properly
supports color printing.
Comment 4 Crutcher Dunnavant 2001-03-12 02:02:41 EST
Actually, it seems that all the drivers are listed in sort order :(

I've asked Grant to reorder them for future data base drops, but that's the most
I can do.
Comment 5 Crutcher Dunnavant 2001-03-12 14:35:42 EST
I'm seeing this driver work on an HP LaserJet 6P with the latest system. Preston
is of the opinon that a 6L is a 6P that doesn't know postscript. It is possible
that something else was corrupting the stream. Please try the latest stuff from:

http://people.redhat.com/crutcher/printing/

and share your results.
Comment 6 Crutcher Dunnavant 2001-03-12 14:37:15 EST
btw, Grant got back to me. He says the data base has no most likely to work
information stored, and has only recently gained the ability to set a default entry.

Note You need to log in before you can comment on or make changes to this bug.